
Figure - Bug #118472
【IOVDEV-32438】【内部】【VC1】【0100】【台架】【EE环境】【副屏】偶发中控端点击“仅副驾屏”后
，副屏没有熄屏
2023-06-02 19:59 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-02

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 20%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.c103  中控：03.02.0086.C102

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230602  16点04分（ 副屏第219次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，CANoe的E2E工程发送电源模式信号powermode=local on，已连接中控和功放，可正常

输出声音，副屏以太网和WiFi都是已连接状态）

1.中控端设置-显示-熄屏模式点击“仅副驾屏”

【实际结果】

副屏没有熄屏

【期望结果】

中控端点击“仅副驾屏”可以让副屏熄屏

【备注】：

中控端点击“全部熄屏”可以让副屏熄屏.

问题发生的时候，一直必现。

车架号VIN：HRYTTESTVINMGM817

中控端log可从云端获取，

副屏历史log地址：https://ofs.human-horizons.com/#/download/index/HWu52H2Pdtk%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0086.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-05 13:56 - CD FW-程天颖

- Status changed from New to ASSIGNED

#2 - 2023-06-05 14:37 - CD FW-程天颖

- Category changed from CD-FW to BSP
- Assignee changed from CD FW-程天颖 to CD BSP-杜磊

■ Current conclusion

从上层日志中分析，每次屏幕状态状态切换都是成功的

■ My analysis

中控请求息屏

06-02 16:02:39.899  2561 21347 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":0}

副屏执行息屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:02:40.129  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":0}.

中控请求亮屏

06-02 16:02:40.404  2561 21364 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":1}

副屏执行亮屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:02:40.449  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":1}.

中控请求息屏

06-02 16:02:41.129  2561 21383 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":0}

副屏执行息屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:02:41.311  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":0}.

中控请求亮屏

06-02 16:02:41.548  2561 21396 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":1}

副屏执行亮屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:02:41.593  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":1}.

中控请求息屏

06-02 16:02:42.533  2561 21411 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":0}

副屏执行息屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:02:42.800  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":0}.

中控请求亮屏

06-02 16:02:43.325  2561 21480 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":1}

副屏执行亮屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:02:43.366  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":1}.

中控请求息屏

06-02 16:03:26.982  2561 22115 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":0}

副屏执行息屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:03:27.200  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":0}.

中控请求亮屏

06-02 16:03:33.569  2561 22142 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":1}

副屏执行亮屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:03:33.618  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":1}.

中控请求息屏

06-02 16:03:50.392  2561 22251 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":0}

副屏执行息屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:03:50.620  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":0}.

中控请求亮屏

06-02 16:03:54.911  2561 22271 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":1}
副屏执行亮屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:03:54.960  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":1}.

中控请求息屏

06-02 16:04:03.217  2561 22311 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":0}

副屏执行息屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:04:03.420  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":0}.

中控请求亮屏

06-02 16:04:08.498  2561 22341 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":1}

副屏执行亮屏动作后，收到屏幕状态变更广播，并把当前屏幕状态上报给中控

06-02 16:04:08.562  2565  2565 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":1}.

从日志中的设置和上报屏幕状态来看，并未发现异常

■ Next action

需要bsp的同学帮忙继续分析

#3 - 2023-06-05 18:34 - CD BSP-杜磊

BSP分析如下，　问题发生时间：*06-02 16:04*

grep -rn "MAX9" 16点04分中控端点击“仅副驾屏”，副屏没有熄屏.log 

18937:06-02 16:02:40.110     0     0 I [ 7015.668296] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

19083:06-02 16:02:40.486     0     0 I [ 7016.047859] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

19238:06-02 16:02:41.290     0     0 I [ 7016.849979] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

19402:06-02 16:02:41.641     0     0 I [ 7017.200896] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

19555:06-02 16:02:42.709     0     0 I [ 7018.270299] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

19831:06-02 16:02:43.404     0     0 I [ 7018.966324] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

22322:06-02 16:03:27.178     0     0 I [ 7062.738264] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

22565:06-02 16:03:33.657     0     0 I [ 7069.214098] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

23161:06-02 16:03:50.601     0     0 I [ 7086.154921] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN

23354:06-02 16:03:54.998     0     0 I [ 7090.558880] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK

23704:06-02 16:04:03.403     0     0 I [ 7098.962641] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: POWERDOWN　－－*log中，kernek最后

一次对屏幕背光灭操作*

23932:06-02 16:04:08.596     0     0 I [ 7104.155994] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK　　－－*　log中，kernel最后

一次对屏幕背光亮操作。*

06-02 16:04:08.572  3336 22351 I hpplay-java: [AsyncTask #852]:NetworkReceiver:onReceive action: android.intent.action.SCREEN_ON　　－－－　*　上层最后一

次上次收到亮屏指令*

06-02 16:04:08.586 22378 22378 I QQGameFullScreenNoticeServiceImpl: hideFloatWindow isShow: false 

06-02 16:04:08.590 11500 11500 D Event   : No subscribers registered for event class com.tencent.qqmusic.business.lockscreennew.p

06-02 16:04:08.590 11500 11500 D Event   : No subscribers registered for event class de.greenrobot.event.f

06-02 16:04:08.596     0     0 I [ 7104.155994] [MAX975X: max96755x_drm_notifier_callback] INFO receives BLANK: UNBLANK  　　　　－－－－　*kernel最后一

次两灭屏*

AF同学再check一下呢

#4 - 2023-06-05 18:38 - CD BSP-杜磊

- Category changed from BSP to CD-FW

- Assignee changed from CD BSP-杜磊 to CD FW-程天颖

- % Done changed from 0 to 20
#5 - 2023-06-06 11:40 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CDTS_Test 吴诗雨

■ Current conclusion

分析出原因是副屏未收到息屏信号

■ My analysis

根据视频时间中的时间，视频0:20时间为16:03向16:04切换

第一次全部息屏时间为视频的0:11左右，与日志06-02 16:04:03.217 2561 22311 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":0}相对应

第二次全部息屏时间为视频的0:25左右，与日志06-02 16:04:03.217 2561 22311 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":0}相对应

再仅副屏息屏的时间点，副屏并未接受到中控发送的息屏指令的日志。

■ Next action

需要中控检查在bug复现时，中控点击仅副屏息屏，是否成功的向副屏发送息屏指令

#6 - 2023-06-06 13:37 - CDTS_Test 吴诗雨

- Status changed from ASSIGNED to NEED_INFO

已同步

#7 - 2023-07-04 16:40 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户反馈：

根据反馈，因为问题IOVDEV-32425导致此问题的发生，此问题按无效bug进行关闭。

#8 - 2023-07-04 16:41 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#9 - 2023-07-04 16:41 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

16点04分中控点击“仅副驾屏”，副屏没有熄屏.7z 25.5 MB 2023-06-02 CDTS_Test 吴诗雨

IOVDEV-32438.zip 9.05 MB 2023-06-02 CDTS_Test 吴诗雨
